%     FASTENER DOCTOR - программа для лечения и конвертации крепежа
%     Copyright (C) 2018  Михаил Козлов
%     Сайт проекта: <http://www.fastenerdoctor.ru/>
%     Адрес электронной почты для связи с разработчиком:
%     <doctor.fastener@gmail.com>
% 
%     Эта программа является свободным программным обеспечением: Вы можете
%     распространять ее и/или изменять, соблюдая условия Универсальной общественной
%     лицензии GNU, опубликованной Фондом свободного программного обеспечения,
%     либо редакции 3, либо (на Ваше усмотрение) любой редакции, выпущенной позже.
% 
%     Эта программа распространяется в надежде на то, что она окажется полезной,
%     но БЕЗ КАКИХ-ЛИБО ГАРАНТИЙ, включая даже подразумеваемую гарантию ТОВАРНОЙ ПРИГОДНОСТИ,
%     либо ПРИГОДНОСТИ ДЛЯ ОПРЕДЕЛЕННЫХ ЦЕЛЕЙ. Ознакомьтесь с Универсальной общественной
%     лицензией GNU для получения более подробной информации.
% 
%     Вы должны были получить копию Универсальной общественной лицензии GNU
%     вместе с этой программой. Если Вы ее не получили, то перейдите по адресу:
%     <http://www.gnu.org/licenses/>.
% 
%     This program is free software: you can redistribute it and/or modify
%     it under the terms of the GNU General Public License as published by
%     the Free Software Foundation, either version 3 of the License, or
%     (at your option) any later version.
% 
%     This program is distributed in the hope that it will be useful,
%     but WITHOUT ANY WARRANTY; without even the implied warranty of
%     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
%     GNU General Public License for more details.
% 
%     You should have received a copy of the GNU General Public License
%     along with this program.  If not, see <https://www.gnu.org/licenses/>.

function Text = PCL_PSet_Modify_Bush(Pset_Name, New_pset_name, Ori_Coord_ID, K1, K2, K3, K4, K5, K6, Elm_list)

Elm_list = unique(Elm_list);

% Задание значений по умолчанию
if (isempty(Ori_Coord_ID))
    Ori_Coord_ID = 0;
end

if (isempty(K1))
    K1 = 0;
end

if (isempty(K2))
    K2 = 0;
end

if (isempty(K3))
    K3 = 0;
end

if (isempty(K4))
    K4 = 0;
end

if (isempty(K5))
    K5 = 0;
end

if (isempty(K6))
    K6 = 0;
end

if (isempty(Elm_list))
    Elm_list_string = [];
else
    Elm_list_string = ['Element' sprintf(' %i', sortrows(Elm_list,1))];
end

Text = cell(1,1);

Text{1} = ['elementprops_modify( "' Pset_Name '", "' New_pset_name '", 89, 25, 20, 37, 2, 20, [4174, 2104, 2105, 4178, 4179, 4186, 4187], [9, 1, 1, 1, 1, 1, 1], ["Coord ' sprintf('%i', Ori_Coord_ID) '", "' sprintf('%.10f', K1) '", "' sprintf('%.10f', K2) '", "' sprintf('%.10f', K3) '", "' sprintf('%.10f', K4) '", "' sprintf('%.10f', K5) '", "' sprintf('%.10f', K6) '"], "' Elm_list_string '" )'];
